ubuntu-release-upgrader doesn't recognize ubuntukylin-desktop as a metapkg

Bug #1632665 reported by tikdik on 2016-10-12
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Yakkety
Medium
Brian Murray

Bug Description

Test Case
---------
1) Install a system with the ubuntukylin-desktop metapackage and no other supported metapackage e.g. ubuntu-desktop
2) Test upgrading from 16.04 to 16.10
3) Quit the upgrade before it actually starts e.g say No after the upgrade is calculated
4) Observe the following in /var/log/dist-upgrade/main.log:

"DEBUG need_server_mode(): run in 'desktop' mode, (because of key deps for 'ubuntu-desktop')"
"DEBUG none of the '['ubuntu-desktop', 'kubuntu-desktop', 'xubuntu-core', 'xubuntu-desktop', 'ubuntustudio-desktop', 'mythbuntu-desktop', 'kubuntu-netbook', 'lubuntu-core', 'lubuntu-desktop', 'ubuntu-gnome-desktop', 'ubuntu-mate-core', 'ubuntu-mate-cloudtop', 'ubuntu-mate-desktop']' meta-pkgs installed"
"guessing 'ubuntu-desktop' as missing meta-pkg"

With the version of distupgrader tarball from -proposed you should not see any of the three messages above.

Original Description
--------------------
after upgrade packages exe do-release-upgrade abort

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

do-release-upgrade

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: ubuntu-release-upgrader-core 1:0.220.8
ProcVersionSignature: Ubuntu 3.13.0-98.145-generic 3.13.11-ckt39
Uname: Linux 3.13.0-98-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.21
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: Unity
Date: Wed Oct 12 18:52:09 2016
InstallationDate: Installed on 2015-07-07 (462 days ago)
InstallationMedia: Ubuntu-Kylin 14.04 LTS "Trusty Tahr" - Release amd64 (20140417.1)
PackageArchitecture: allSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to trusty on 2016-10-12 (0 days ago)
mtime.conffile..etc.update.manager.release.upgrades: 2016-10-12T18:22:46.750879

tikdik (tikdik) wrote :
tags: added: trusty2xenial
Brian Murray (brian-murray) wrote :

At least part of the problem here is that the ubuntu-release-upgrader has no support for the ubuntukylin-desktop meta package.

From main.log:

2016-10-12 18:48:07,325 DEBUG /openCache(), new cache size 75232
2016-10-12 18:48:07,326 DEBUG need_server_mode(): can not find a desktop meta package or key deps, running in server mode
2016-10-12 18:48:07,326 DEBUG checkViewDepends()

And from ubuntu-release-upgrader's DistUpgrade.cfg.trusty:

 10 # Distro contains global information about the upgrade
 11 [Distro]
 12 # the meta-pkgs we support
 13 MetaPkgs=ubuntu-desktop, kubuntu-desktop, xubuntu-core,
 14 xubuntu-desktop, ubuntustudio-desktop, mythbuntu-desktop,
 15 kubuntu-netbook, lubuntu-core, lubuntu-desktop, ubuntu-gnome-desktop,
 16 ubuntu-mate-core, ubuntu-mate-cloudtop, ubuntu-mate-desktop

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
summary: - ubuntu 14.04 upgrade to 16.04 An unresolvable problem occurred while
- calculating the upgrade.
+ ubuntu-release-upgrader doesn't recognize ubuntukylin-desktop as a
+ metapkg
Brian Murray (brian-murray) wrote :

Come to find out that the ubuntukylin-desktop packages doesn't exist in Trusty.

https://launchpad.net/ubuntu/+source/ubuntukylin-meta

Subsequently, this'll only need to be fixed in Yakkety and Zesty.

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: New → Triaged
importance: Undecided → Medium
Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Medium
description: updated
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:17.04.3

---------------
ubuntu-release-upgrader (1:17.04.3) zesty; urgency=medium

  * data/DistUpgrade.cfg: add ubuntkylin-desktop to the list of supported
    metapkgs. (LP: #1632665)
  * data/DistUpgradeQuirks.py: configure the quirk which installs the linux
    metapackage to run for every release upgrade. (LP: #1633903)

 -- Brian Murray <email address hidden> Mon, 24 Oct 2016 14:00:59 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released

Hello tikdik, or anyone else affected,

Accepted ubuntu-release-upgrader into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:16.10.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Verified.

2016-11-01 15:18:47,280 INFO release-upgrader version '16.10.8' started
...
2016-11-01 15:18:55,288 DEBUG MetaPkgs: ubuntukylin-desktop

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.10.8

---------------
ubuntu-release-upgrader (1:16.10.8) yakkety-proposed; urgency=medium

  * data/DistUpgradeQuirks.py: configure the quirk which installs the linux
    metapackage to run for every release upgrade. (LP: #1633903)
  * data/DistUpgrade.cfg: add ubuntkylin-desktop to the list of supported
    metapkgs. (LP: #1632665)
  * DistUpgrade/ReleaseNotesViewerWebkit.py: fix indentation of function
    _on_navigation_policy_decision_requested. (LP: #1635155)

 -- Brian Murray <email address hidden> Tue, 25 Oct 2016 12:13:12 -0700

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers